> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Project Access

> List projects a user has explicit access to within a workspace.

This endpoint is primarily used for the workspace people page to show what
projects a member_limited user can access. Works for both full users and stub users.

Authorization: Requires workspace owner (ADMIN) OR be the user themselves.



## OpenAPI

````yaml /api-reference/openapi.json get /workspaces/{workspace_id}/users/{user_id}/projects
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /workspaces/{workspace_id}/users/{user_id}/projects:
    get:
      tags:
        - Workspaces
      summary: List User Project Access
      description: >-
        List projects a user has explicit access to within a workspace.


        This endpoint is primarily used for the workspace people page to show
        what

        projects a member_limited user can access. Works for both full users and
        stub users.


        Authorization: Requires workspace owner (ADMIN) OR be the user
        themselves.
      operationId: get_Workspaces_workspaces_workspace_id_users_user_id_projects
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkspaceUserProjectAccessResponse'
                title: >-
                  Response List User Project Access Workspaces  Workspace Id 
                  Users  User Id  Projects Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WorkspaceUserProjectAccessResponse:
      properties:
        project_id:
          type: string
          format: uuid
          title: Project Id
          description: Project ID
        project_name:
          type: string
          title: Project Name
          description: Project name
        role:
          $ref: '#/components/schemas/ResourceRole'
          description: User's role on this project (will always be a project role)
      type: object
      required:
        - project_id
        - project_name
        - role
      title: WorkspaceUserProjectAccessResponse
      description: API response schema for a project that a user has explicit access to.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ResourceRole:
      type: string
      enum:
        - owner
        - member
        - member_limited
        - full_access
        - editor
        - commenter
        - downloader
        - viewer
        - no_access
      title: ResourceRole
      description: |-
        Unified role enum for both workspace and project permissions.
        Stored as PostgreSQL ENUM type 'resourcerole' in database.

        Pattern follows existing enums like AssetType:
        - Python enum: ResourceRole.OWNER = "owner" (lowercase value)
        - PostgreSQL ENUM: 'OWNER', 'MEMBER', etc. (uppercase in DB)
        - SQLAlchemy: sa.Enum('OWNER', 'MEMBER', ..., name='resourcerole')
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````